cancel
Showing results for 
Search instead for 
Did you mean: 

Installing migration tool

Installing migration tool

I am updating Magento version of my site. In this regard I would like to install migration tool. I am getting error while I am installing migration tool. My errors are like below.


D:\php\htdocs\magentotwo>composer require magento/data-migration-tool:2.0.2
./composer.json has been updated
Loading composer repositories with package information

Installation failed, reverting ./composer.json to its original content.


  [RuntimeException]
  Failed to clone https://github.com/magento/data-migration-tool, git was not
   found, check that it is installed and in your PATH env.
  'git' is not recognized as an internal or external command,
  operable program or batch file.


require [--dev] [--prefer-source] [--prefer-dist] [--no-plugins] [--no-progress]
 [--no-update] [--update-no-dev] [--update-with-dependencies] [--ignore-platform
-reqs] [--sort-packages] [-o|--optimize-autoloader] [-a|--classmap-authoritative
] [--] [<packages>]...

 

 

2 REPLIES

Re: Installing migration tool

You should install Git: https://git-scm.com

Re: Installing migration tool

I got the same error, then I found this tool and no this error any more. you may try http://migrationtool.com